import 'package:event_bus/event_bus.dart';

//Bus 初始化

EventBus eventBus = EventBus();

//监听 g_bVoiceRemind 更新事件
class VoiceRemindUpdate {
  String str;

  VoiceRemindUpdate(String _str) {
    this.str = _str;
  }
}

//监听统计数据改变事件
class StatisDataUpdate {
  String str;

  StatisDataUpdate(String _str) {
    this.str = _str;
  }
}

//监听 g_userInfo.userGroupIDlist 更新事件
class GroupIdUpdateEvent {
  String str;

  GroupIdUpdateEvent(String _str) {
    this.str = _str;
  }
}

//监听人脸注册数据更新事件
class FaceRegUpdateEvent {
  String str;

  FaceRegUpdateEvent(String _str) {
    this.str = _str;
  }
}

//监听 选择点位过滤 更新事件
class SelectDwfliterUpdateEvent {
  String str;
  String selectedValue;

  SelectDwfliterUpdateEvent(String _str, String _selectedValue) {
    this.str = _str;
    this.selectedValue = _selectedValue;
  }
}

//监听 选择显示违章记录 更新事件
class SelectWzjlUpdateEvent {
  String str;
  String selectedValue;

  SelectWzjlUpdateEvent(String _str, String _selectedValue) {
    this.str = _str;
    this.selectedValue = _selectedValue;
  }
}

//选择LED点位 更新事件
class SelectLedDwUpdateEvent {
  String str;
  String selectedValue;

  SelectLedDwUpdateEvent(String _str, String _selectedValue) {
    this.str = _str;
    this.selectedValue = _selectedValue;
  }
}

//LED字幕添加广播
class LedXsxxUpdateEvent {
  String str;

  LedXsxxUpdateEvent(String str) {
    this.str = str;
  }
}

//监听违章信息推送状态更新事件
// class HycsTsztUpdateEvent {
//   String str;
//   HycsTsztUpdateEvent(String str) {
//     this.str = str;
//   }
// }

//黑烟初审数据审核广播
class HycsDataUpdateEvent {
  String str;

  HycsDataUpdateEvent(String str) {
    this.str = str;
  }
}

//监听点位视频信息数据更新事件
class DwspUpdateEvent {
  String str;

  DwspUpdateEvent(String str) {
    this.str = str;
  }
}

//黑烟初审数据审核Radio选项改变广播
class HycsDataAuditRadioEvent {
  String str;
  int selectedRadio;

  HycsDataAuditRadioEvent(String str, int selectedRadio) {
    this.str = str;
    this.selectedRadio = selectedRadio;
  }
}

//黑烟初审数据审核Dropdown选项改变广播
class HycsDataAuditDropdownEvent {
  String str;
  String selectedValue;

  HycsDataAuditDropdownEvent(String str, String _selectedValse) {
    this.str = str;
    this.selectedValue = _selectedValse;
  }
}

//黑烟审核 sfyc 改变广播
class HycsDataAuditSfyc {
  String str;

  HycsDataAuditSfyc(String str) {
    this.str = str;
  }
}

//黑烟审核推送交警Checkbox改变广播
class HycsDataAuditCheckboxButton {
  String str;
  bool checkValue;

  HycsDataAuditCheckboxButton(String str, bool _checkValue) {
    this.str = str;
    this.checkValue = _checkValue;
  }
}

//违章信息数据审核广播
class WzxxDataAuditEvent {
  String str;

  WzxxDataAuditEvent(String str) {
    this.str = str;
  }
}

//设备管理信息数据更新广播
class SbglDataUpdateEvent {
  String str;

  SbglDataUpdateEvent(String str) {
    this.str = str;
  }
}

//违章信息数据更新广播
class WzxxDataUpdateEvent {
  String str;

  WzxxDataUpdateEvent(String str) {
    this.str = str;
  }
}

//违章信息Listview滚动广播
class WzxxDataScrollEvent {
  int firstIndex = 0; //ListView当前显示页面首项0基序号
  int lastIndex = 0; //ListView当前显示页面末项0基序号
  WzxxDataScrollEvent(int _firstIndex, int _lastIndex) {
    this.firstIndex = _firstIndex;
    this.lastIndex = _lastIndex;
  }
}

//商品详情广播数据
class ProductContentEvent {
  String str;

  ProductContentEvent(String str) {
    this.str = str;
  }
}

//用户中心广播
class UserEvent {
  String str;

  UserEvent(String str) {
    this.str = str;
  }
}

//收货地址广播
class AddressEvent {
  String str;

  AddressEvent(String str) {
    this.str = str;
  }
}

//结算页面
class CheckOutEvent {
  String str;

  CheckOutEvent(String str) {
    this.str = str;
  }
}
